Package org.apache.catalina.storeconfig

# Class NamingResourcesSF

java.lang.Object
org.apache.catalina.storeconfig.StoreFactoryBase
org.apache.catalina.storeconfig.NamingResourcesSF

All Implemented Interfaces:
  `IStoreFactory`

public class NamingResourcesSF extends StoreFactoryBase
Store server.xml elements Resources at context and GlobalNamingResources

## Field Summary

### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`sm`

## Constructor Summary

Constructors
Constructor
Description
`NamingResourcesSF()`

## Method Summary

Modifier and Type
Method
Description
`void`
`store(PrintWriter aWriter, int indent, Object aElement)`
Store a server.xml element with attributes and children.
`void`
`storeChildren(PrintWriter aWriter, int indent, Object aElement, StoreDescription elementDesc)`
Store the specified NamingResources properties.

### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamingResourcesSF

public NamingResourcesSF()

## Method Details

### store

public void store(PrintWriter aWriter, int indent, Object aElement) throws Exception
Description copied from interface: `IStoreFactory`
Store a server.xml element with attributes and children.

Specified by:
  `store` in interface `IStoreFactory`
Overrides:
  `store` in class `StoreFactoryBase`
Parameters:
  `aWriter` - the writer to write to
  `indent` - the indentation
  `aElement` - the element to write
Throws:
  `Exception` - if an error occurs

### storeChildren

public void storeChildren(PrintWriter aWriter, int indent, Object aElement, StoreDescription elementDesc) throws Exception
Store the specified NamingResources properties.

Must Implement at subclass for custom store children handling.

Overrides:
  `storeChildren` in class `StoreFactoryBase`
Parameters:
  `aWriter` - Current output writer
  `indent` - Indentation level
  `aElement` - Current element
  `elementDesc` - The element description
Throws:
  `Exception` - Configuration storing error